source scripts/keys.tcl

proc update_ui {windowname demoptrname playername songname} {
	global const

	upvar $windowname win
	upvar $demoptrname demoptr
	upvar $playername player
	upvar $songname song

	if {[win keyHit $const(SDL_SCANCODE_F1)]} {
		puts [lsort [info commands]]
	}

	if {[win keyHit $const(SDL_SCANCODE_F5)]} {
		DemoBase_reloadAssets $demoptr
	}

	if {[win keyHit $const(SDL_SCANCODE_F6)]} {
		puts -nonewline "Reloading parameters..."

		global param_mods

		set mainPath [pwd]
		cd [getAssetSourceDir]
		source scripts/params.tcl
		source scripts/param_mods.tcl
		cd $mainPath

		load_rocket_params player

		puts "OK"
	}
}
